iotoms Docs

Export stock take count sheet as PDF

GET
/api/v1/reports/inventory/stock-take/export

Downloads the stock take count sheet as a printable PDF for a physical count. Pass locationId to limit it to one location.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

locationId?string

Filter by location UUID (optional)

Header Parameters

X-TenantID*string

Your merchant's tenant code — the value typed in the Domain field on the iotoms login screen. See Concepts.

Response Body

OK

response?stringapplication/pdf
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/reports/inventory/stock-take/export' \  -H 'X-TenantID: your-tenant-code'
Example Response
"string"